version: 0.0
os: linux
files:
  - source: /
    destination: /var/www/AZANY-BE-2024

hooks:
  BeforeInstall:
    - location: prod-scripts/install_dependencies.sh 
      timeout: 300
      runas: root
  AfterInstall:
    - location: prod-scripts/validate_services.sh
      timeout: 300
      runas: root
  ApplicationStart:
    - location: prod-scripts/start_server.sh
      timeout: 300
      runas: root
